DRM_PLATFORM_INIT(9)

NAME
drm_platform_init - Register a platform device with the DRM subsystem

SYNOPSIS

int drm_platform_init(struct drm_driver * driver, struct platform_device * platform_device);

ARGUMENTS

driver
    DRM device driver

platform_device
    platform device to register

DESCRIPTION

Registers the specified DRM device driver and platform device with the DRM subsystem, initializing a drm_device structure and calling the driver's .load function.

RETURN

0 on success or a negative error code on failure.

AUTHORS

Jesse Barnes <jesse.barnes@intel.com>
Intel Corporation,

    Initial version

Laurent Pinchart <laurent.pinchart@ideasonboard.com>
Ideas on board SPRL,

    Driver internals

Daniel Vetter <daniel.vetter@ffwll.ch>
Intel Corporation,

    Contributions all over the place

COPYRIGHT